Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.

Bug 84179

Summary: no cross-process password cacheing
Product: [Retired] Red Hat Linux Reporter: Matt Wilson <msw>
Component: gnome-vfs2-extrasAssignee: Alexander Larsson <alexl>
Status: CLOSED CANTFIX QA Contact: Jay Turner <jturner>
Severity: medium Docs Contact:
Priority: medium    
Version: 9CC: jmullman, mattdm, srevivo
Target Milestone: ---Keywords: FutureFeature
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2007-01-02 18:57:10 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Bug Depends On:    
Bug Blocks: 79579, 100644    

Description Matt Wilson 2003-02-13 05:26:48 UTC
How reproducible:
100%

Steps to Reproduce:
1. smb://carina/Corinna/scox/gnupro/src/COPYING
2. The Text view encountered an error and can't continue. You can choose another
view or go to a different location.
3.
    
Actual results:
error

Expected results:
view file

Comment 1 Alexander Larsson 2003-02-13 07:53:52 UTC
This was related to authentication. nautilus is authenticated, but there is no
cross-process password cacheing, and the text view (and gedit which showed the
same problem) are separate processes. Since text view and gedit doesn't handle
auth callbacks they get auth-failed errors when opening the file.

The strange thing about this case was that msw only had to press "ok" on the
password dialog. If anon login was possible the dialog shouldn't even have poped up.


Comment 2 Alexander Larsson 2003-02-26 15:05:20 UTC
*** Bug 85126 has been marked as a duplicate of this bug. ***

Comment 3 Alexander Larsson 2003-02-26 15:06:26 UTC
As commented in the dup. This needs to have some way to drop old authentications
if you want to log in as a new user.


Comment 4 Bill Nottingham 2006-08-05 04:25:32 UTC
Red Hat apologizes that these issues have not been resolved yet. We do want to
make sure that no important bugs slip through the cracks.

Red Hat Linux 7.3 and Red Hat Linux 9 are no longer supported by Red Hat, Inc.
They are maintained by the Fedora Legacy project (http://www.fedoralegacy.org/)
for security updates only. If this is a security issue, please reassign to the
'Fedora Legacy' product in bugzilla. Please note that Legacy security update
support for these products will stop on December 31st, 2006.

If this is not a security issue, please check if this issue is still present
in a current Fedora Core release. If so, please change the product and version
to match, and check the box indicating that the requested information has been
provided.

If you are currently still running Red Hat Linux 7.3 or 9, please note that
Fedora Legacy security update support for these products will stop on December
31st, 2006. You are strongly advised to upgrade to a current Fedora Core release
or Red Hat Enterprise Linux or comparable. Some information on which option may
be right for you is available at http://www.redhat.com/rhel/migrate/redhatlinux/.

Any bug still open against Red Hat Linux 7.3 or 9 at the end of 2006 will be
closed 'CANTFIX'. Again, if this bug still exists in a current release, or is a
security issue, please change the product as necessary. We thank you for your
help, and apologize again that we haven't handled these issues to this point.


Comment 6 Bill Nottingham 2007-01-02 18:57:10 UTC
Red Hat Linux 7.3 and Red Hat Linux 9 are no longer supported by Red Hat, Inc.
f you are currently still running Red Hat Linux 7.3 or 9, you are strongly
advised to upgrade to a current Fedora Core release or Red Hat Enterprise Linux
or comparable. Some information on which option may be right for you is
available at http://www.redhat.com/rhel/migrate/redhatlinux/.

Closing as CANTFIX.